umbrello: ExportAllViewsDialog Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
ExportAllViewsDialog Class Reference

`#include <exportallviewsdialog.h>`

Inheritance diagram for ExportAllViewsDialog:

## Public Member Functions
| ExportAllViewsDialog (QWidget *parent=nullptr, const char *name=nullptr)
| ~ExportAllViewsDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
virtual void | languageChange ()
void | slotImageTypeChanged (QString imageType)
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Attributes
ImageTypeWidget * | m_imageType
| The image type selected.
ResolutionWidget * | m_imageResolution
| The image resolution selected.

## Friends
class | UMLViewImageExporterAll

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

Dialog for collecting the "Export all views" params. Inherits ExportAllViewsDialogBase and adds a KFileFilterCombo that uses only the mime types of the supported images types.

The KFileFilterCombo is declared here instead of in the .ui file because QT Designer and uic don't recognize it.

## Constructor & Destructor Documentation

## ◆ ExportAllViewsDialog()

ExportAllViewsDialog::ExportAllViewsDialog | ( | QWidget * | parent = nullptr,
|  | const char * | name = nullptr )
| explicit

Constructor for UMLViewImageExporterModel.

Parameters

  parent | The parent of the dialog.
  name | The internal name.

See also
  QDialog::QDialog

## ◆ ~ExportAllViewsDialog()

ExportAllViewsDialog::~ExportAllViewsDialog | ( |  | ) |

Destructor for UMLViewImageExporterModel.

## Member Function Documentation

## ◆ languageChange()

void ExportAllViewsDialog::languageChange | ( |  | ) |
| protectedvirtual

Sets the strings of the subwidgets using the current language.

## ◆ slotImageTypeChanged()

void ExportAllViewsDialog::slotImageTypeChanged | ( | QString | imageType | ) |
| protected

Enable image resolution widget only for supported export types.

Parameters

  imageType | String with selected image type

## Friends And Related Symbol Documentation

## ◆ UMLViewImageExporterAll

friend class UMLViewImageExporterAll
| friend

## Member Data Documentation

## ◆ m_imageResolution

ResolutionWidget* ExportAllViewsDialog::m_imageResolution
| private

The image resolution selected.

## ◆ m_imageType

ImageTypeWidget* ExportAllViewsDialog::m_imageType
| private

The image type selected.

The documentation for this class was generated from the following files:

- umbrello/dialogs/exportallviewsdialog.h
- umbrello/dialogs/exportallviewsdialog.cpp